Get transaction
Returns an individual onramp transaction for a user.
This endpoint will retrieve an individual onramp transaction for a user based on a specified transactionId.
Get an onramp transaction from transactionId.
POST https://api.onramp.money/onramp/api/v2/whiteLabel/onramp/transaction
Request Body
transactionId*
String
Onramp transaction orderId
customerId*
String
Unique id received from /kyc/url
{
"status": 1,
"code": 200,
"data": {
"transactionId": "550",
"createdAt": "2023-11-29T01:30:08.000Z",
"updatedAt": "2023-11-29T01:30:08.000Z",
"fromAmount": "1000",
"toAmount": "10.1",
"fromCurrency": "INR",
"toCurrency": "usdc",
"paymentMethodType": "IMPS",
"depositAddress": "0x71C7656ECXXXX",
"status": "0",
"transactionHash": "0x9b34XXX",
"kycNeeded": 1
}
}{
"status": 0,
"code": 400,
"error": "Missing parameter -> transactionId."
}status -> 0 is for unsuccessful request, 1 is for a successful one.
transactionId -> unique identifier of the transaction
createdAt -> time at which the transaction was created.
updateAt -> time at which the transaction status is last updated.
fromAmount -> Amount of fiat received by the onramp.money.
toAmount -> actual amount of crypto bought at the time of swap/trade.
fromCurrency -> fiat used for the transaction.
toCurrency -> symbol of the coin e.g. USDT).
chain -> denotes which chain the coin was sent on (e.g. MATIC20) .
paymentMethodType -> payment method in fiat.
depositAddress -> Onchain wallet address to which the crypto was withdrawn to.
status -> current status of Onramp transaction
-4 -> wrong amount sent
-3 -> bank and kyc name mismatch
-2 -> transaction abandoned
-1 -> transaction timed out
0 -> transaction created
1 -> referenceId claimed
2 -> deposit secured
3 or 13 -> crypto purchased
4 or 15 -> withdrawal complete
5 or 16 -> webhook sent
11 -> order placement initiated
12 -> purchasing crypto
14 -> withdrawal initiated
transactionHash -> transaction hash related to order.
rate -> rate at which the order was executed, displayed only for successful transactions.
kycNeeded -> Request for Information.
Last updated